package com.persagy.calendar.service.impl;

import java.util.Set;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import com.persagy.calendar.mapper.WorkCalendarObjectMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarObject;
import com.persagy.calendar.service.IWorkCalendarObjectService;
import com.persagy.db.service.impl.SuperServiceImpl;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午5:02:35
 */
@Service
public class WorkCalendarObjectServiceImpl extends SuperServiceImpl<WorkCalendarObjectMapper, WorkCalendarObject> implements IWorkCalendarObjectService {

	@Override
	public boolean batchInsertObjects(WorkCalendarObject object, Set<String> objIds) {
		Integer result = this.baseMapper.batchInsertObjects(object, objIds);
		return SqlHelper.retBool(result);
	}

	@Override
	public boolean replaceCalendarObject(WorkCalendarObject calendarObject, Set<String> objIds) {
		Integer result = this.baseMapper.replaceCalendarObject(calendarObject, objIds);
		return SqlHelper.retBool(result);
	}

}
